/*
 * Copyright (C) 2010 Sven Killig
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package de.killig.gamepadime;

import java.io.File;
import java.util.ArrayList;

import android.util.Log;
import android.widget.Toast;

import com.example.android.softkeyboard.SoftKeyboard;

public class GamepadIMESoftKeyboard extends SoftKeyboard {

  ArrayList<Thread> al;

  @Override public void onCreate() {
    super.onCreate();
		Log.d(this.getClass().getName(), "onCreate()");
    
		if(al!=null) for(Thread t : al) t.interrupt();
    al=new ArrayList<Thread>();
  	File f;
  	int j=0;
  	for(int i=0; i<=255; i++) {
  		f=new File("/dev/input/js"+i);
  		if(!f.canRead()) {
				Log.d(this.getClass().getSimpleName(), "!f.canRead("+f.getAbsolutePath()+")");
  			//break;
  		} else {
	      Thread t=new GamepadIMEThread(/*getCurrentInputConnection()*/this, f);
	      al.add(t);
	      t.start();
	      j++;
  		}
  	}
    Toast.makeText(this, j+" Gamepads detected.", Toast.LENGTH_LONG).show();

  }

	@Override
	public void onDestroy() {
		Log.d(this.getClass().getSimpleName(), "onDestroy()");
		for(Thread t : al) t.interrupt();
		super.onDestroy();
	}

}
